# Glimpse Image Editor

Glimpse is a downstream fork of the GNU Image Manipulation Program 2.10. You can find out more information on our FAQs page: https://glimpse-editor.org/about/

## What is different about Glimpse?
Aside from the rebrand that provides excellent free software with a less problematic name, we also focus on performance improvements, user interface changes and incrementally improving the user experience.

In the longer term we intend to write our own GUI and plug-in framework on top of the [GEGL](https://en.wikipedia.org/wiki/GEGL) component maintained by the same developers, but it will likely take years for those aspirations to be fully realised.

## How will the package versions work?
Glimpse 0.x releases are based on GNU Image Manipulation Program 2.10 and are intended to provide a minimum viable product. They also help us build our project infrastructure, learn the codebase and iterate towards a fully supportable product.

You can see how this effort is going in the [dev-g210](https://github.com/glimpse-editor/Glimpse/tree/dev-g210) branch.

Glimpse 1.x releases will also be based on GNU Image Manipulation Program 2.10, but these will be provided with technical documentation, lesson plans, and a long term support period.

Glimpse 2.x releases will utilise a new GUI that follows the [GNOME Human Interface Guidelines](https://developer.gnome.org/hig/stable/) and our own leaner plug-in framework.

We do not work to fixed timelines. Instead we select a month we want to aim for, and if the release needs more time then we update our schedule accordingly.

## How can I keep up to date with Glimpse's progress?
Our official project website is now live at https://glimpse-editor.org.

You can also follow us on [the fediverse](https://bobadon.co.uk/@glimpse), [Facebook](https://www.facebook.com/glimpse.editor) and [Twitter](https://twitter.com/glimpse_editor).

## How can I build Glimpse?
All of the build instructions can be found in the `HACKING` file.

For further information, read the [Glimpse developer wiki](https://wiki.glimpse-editor.org/index.php?title=Building_Glimpse).

## How can I contribute?
Full details for how to help are available in the `CONTRIBUTING.md` file.

You can also help by talking about us on social media, writing a positive blog post and helping people use Glimpse Image Editor.

To help us cover our costs, please donate to this project via [Open Collective](https://opencollective.com/glimpse). If you can afford to do so we also encourage you to donate to [GNU Image Manipulation Program](https://www.gimp.org/donating/) as that helps the upstream project we rely on.
